[ejabberd] ubuntu cripto

Holger Weiß holger at zedat.fu-berlin.de
Sun Apr 17 17:23:36 MSK 2016


* Randy Bush <randy at psg.com> [2016-04-17 13:02]:
> i am lazy/conservative and prefer to run default/vanilla versions.  and
> ubuntu 14.04 comes whith a rather old ejabberd package :(
> 
> i wanna do the equivalent of
> 
> s2s_use_starttls: required
> s2s_ciphers: "HIGH:!3DES:!aNULL:!SSLv2:@STRENGTH"
> s2s_protocol_options:
>   - "no_sslv2"
>   - "no_sslv3"
> 
> and
> 
>   module: ejabberd_c2s
>   ciphers: "HIGH:!3DES:!aNULL:!SSLv2:@STRENGTH"
>   protocol_options:
>     - "no_sslv2"
>     - "no_sslv3"
> 
> except i am stuck in erlang
> 
> # ejabberdctl convert_to_yaml ejabberd.cfg ejabberd.yml
> Error: command "convert_to_yaml" not known.

You can set {s2s_use_starttls, required}.  The other things you
mentioned don't work with ejabberd 2.x.

Current unofficial ejabberd packages for Ubuntu 14.04 are available
here:

	https://www.jabber.at/en/apt-repository

Holger


More information about the ejabberd mailing list